<!DOCTYPE html>

<html lang="en">

<head>

    <meta charset="utf-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>

    <meta name="description" content="A fully responsive, HTML5 based admin theme">

    <meta name="keywords" content="Responsive, HTML5, business, professional, Adapt, web design, CSS3">

    <title>Wieldy - Docs</title>    <!-- Site favicon -->

    <link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">    <!-- /site favicon -->

    <!-- Ant font stylesheet -->

    <link rel="stylesheet" href="fonts/material-design-iconic-font/css/material-design-iconic-font.min.css">

    <!-- /material font stylesheet -->    <!-- Bootstrap stylesheet min version -->

    <link href="css/bootstrap.css" rel="stylesheet">    <!-- /bootstrap stylesheet min version -->

    <!-- Style css stylesheet -->

    <link href="css/style.css" rel="stylesheet">    <!-- /style css stylesheet -->    <!-- Highlight css stylesheet -->

    <link href="js/plugin/highlight/styles/dark.css" rel="stylesheet">    <!-- /highlight css stylesheet -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->

    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->    <!--[if lt IE 9]>

    <script src="js/html5shiv.min.js"></script>

    <script src="js/respond.min.js"></script>    <![endif]--></head>

<body><!--Site-->

<div class="site">    <!--Site header-->

    <header class="site-header">

        <nav class="navbar fixed-top navbar-expand-lg d-flex align-items-center">

            <div class="container">

                <div class="navbar-bottom"><a class="site-logo" href="index.html"> <img src="images/logo.png"

                                                                                        alt="Wieldy" title="Wieldy">
                </a>

                    <div class="d-flex flex-grow-1">
                        <ul class="quick-links align-self-center">
                            <li><a target="_blank" href="http://wieldy.g-axon.com/">
                                <i class="zmdi zmdi-open-in-new zmdi-hc-fw"></i>Take Demo</a></li>
                        </ul>
					</div>

                </div>

            </div>

        </nav>

    </header>    <!--/site header-->    <!--Site main-->

    <main class="site-main">

        <div class="container">

            <div class="site-main-inner">
			<section class="docs-section">
<div class="adocs-content">
    <h2 class="adocs-heading ng-binding">Changing vertical Navigation Style</h2>
    <div class="adocs-section-content ng-binding">
        <p>In this section we are going to learn how to change the vertical navigation style.</p>

        <!--<p>There are two ways to do it:</p>-->

        <!-- <ol>
             <li>--><strong>Changing the reducer file Settings.js</strong><br>
        <p>
            In this method, open the Settings.js file which you can find inside the
            <strong>src/appRedux/reducers/</strong> folder.
        </p>
        <p>Here in this file, you will find a initialSettings constant object</p>

        <pre>
     <code class="html">
const initialSettings = {
    ....
  navStyle: NAV_STYLE_FIXED,
    ...
};
  </code>
</pre>

        <p> The Vertical Nav Style property could have one of five values given below:
        <ol type="i">
            <li>
                <strong class="mt-1">NAV_STYLE_FIXED</strong><br/>
                <img src="./images/layouts/fixed.png" alt="To set sidebar as fixed style">
                To set sidebar as fixed style
            </li>
            <li class="mt-1">
                <strong class="mt-1">NAV_STYLE_MINI_SIDEBAR</strong><br/>
                <img src="./images/layouts/mini_sidebar.png" alt="To set sidebar in Mini style">
                To set sidebar in Mini style<br/>
            </li>
            <li class="mt-1">
                <strong class="mt-1">NAV_STYLE_DRAWER</strong><br/>
                <img src="./images/layouts/drawer_nav.png" alt="To set sidebar as collapsible drawer style">
                To set sidebar as collapsible drawer style<br/>
            </li>
            <li class="mt-1">
                <strong class="mt-1">NAV_STYLE_NO_HEADER_MINI_SIDEBAR</strong><br/>
                <img src="./images/layouts/no_header_mini_sidebar.png"
                     alt="To set sidebar in Mini style without Header">
                To set sidebar in Mini style without Header<br/>

            </li>
            <li class="mt-1">
                <strong class="mt-1">NAV_STYLE_NO_HEADER_EXPANDED_SIDEBAR</strong><br/>
                <img src="./images/layouts/no_header_mini_sidebar.png"
                     alt="To set sidebar as Fixed style without Header">
                To set sidebar as Fixed style without Header<br/>
            </li>

        </ol>
        <p> So, this is all about changing the vertical navigation style using Redux</p>


        <!--</li>-->
        <!--<li>
            <strong>Manually Changing the layout</strong>
            <p>To achieve the required vertical navigation style, you will need to make changes in three files
                given below: </p>

            <ol type="i">
                <li><strong>src/app/MainApp.js</strong>
                    <p>Open this file in your code editor and then copy one of the three source code given below for
                        3 different positions of the navigation bar:
                    </p>
                    <p> Note: three dots (...) mentions your written or customized code. So, avoid replacing that
                        content with these three dots given in below source code.
                    </p>

                    <ol type="a">
                        <li><p><strong>For Fixed, Mini Sidebar and Drawer</strong>, copy below source code</p></li>
                        <pre>
 <code class="html">
&lt;Layout className="gx-app-layout"&gt;
 &lt;Sidebar/&gt;
    &lt;Layout&gt;
      &lt;Topbar/&gt;
      &lt;Content className="gx-layout-content"&gt;
        &lt;App ..../&gt;
        &lt;Footer&gt;
          &lt;div className="gx-layout-footer-content"&gt;
            {footerText}
          &lt;/div&gt;
        &lt;/Footer&gt;
      &lt;/Content&gt;
    &lt;/Layout&gt;
 &lt;Customizer/&gt;
&lt;/Layout&gt;
</code>
</pre>
                        <li><p><strong>For Fixed and Mini Sidebar without Header </strong>, copy below source code
                        </p>
                        </li>
                        <pre>
 <code class="html">
&lt;Layout className="gx-app-layout"&gt;
 &lt;Sidebar/&gt;
    &lt;Layout&gt;
      &lt;NoHeaderNotification/&gt;
      &lt;Content className="gx-layout-content"&gt;
        &lt;App.../&gt;
        &lt;Footer&gt;
          &lt;div className="gx-layout-footer-content"&gt;
               {footerText}
          &lt;/div&gt;
        &lt;/Footer&gt;
      &lt;/Content&gt;
    &lt;/Layout&gt;
 &lt;Customizer/&gt;
&lt;/Layout&gt;
</code>
</pre>
                    </ol>
                </li>

                <li><strong>src/containers/Sidebar/index.js</strong>
                    <p>Open this file in your code editor and then copy one of the three source code given below for
                        3 different positions of the navigation bar:
                    </p>
                    <p> Note: three dots (...) mentions your written or customized code. So, avoid replacing that
                        content with these three dots given in below source code.
                    </p>
                    <ol type="a">
                        <li><p><strong>For Fixed</strong>, copy below source code</p></li>
                        <pre>
 <code class="html">
let drawerStyle = "";
if (width &lt; TAB_SIZE) {
  drawerStyle = "gx-collapsed-sidebar"
}
return (
  &lt;Sider
          className={`gx-app-sidebar ${drawerStyle} ${themeType !== THEME_TYPE_LITE ? 'gx-layout-sider-dark' : null}`}
    trigger={null}
    collapsed={false}
    theme={themeType === THEME_TYPE_LITE ? "lite" : "dark"}
    collapsible&gt;
    {
      width &lt; TAB_SIZE ?
        &lt;Drawer
                wrapClassName={`gx-drawer-sidebar ${themeType !== THEME_TYPE_LITE ? 'gx-drawer-sidebar-dark' : null}`}
          placement="left"
          closable={false}
          onClose={this.onToggleCollapsedNav.bind(this)}
          visible={navCollapsed}&gt;
          &lt;SidebarContent/&gt;
     &lt;/Drawer&gt; :
        &lt;SidebarContent/&gt;
    }
     &lt;/Sider&gt;)
</code>
</pre>
                    </ol>
                </li>

                <li><strong>src/containers/Sidebar/index.js</strong>
                    <p>Open this file in your code editor and then copy one of the three source code given below for
                        3 different positions of the navigation bar:
                    </p>
                    <p> Note: three dots (...) mentions your written or customized code. So, avoid replacing that
                        content with these three dots given in below source code.
                    </p>
                    <ol type="a">
                        <li><p><strong>For Fixed</strong>, copy below source code</p></li>
                        <pre>
 <code class="html">
let drawerStyle = "";
if (width &lt; TAB_SIZE) {
  drawerStyle = "gx-collapsed-sidebar"
}
return (
  &lt;Sider
          className={`gx-app-sidebar ${drawerStyle} ${themeType !== THEME_TYPE_LITE ? 'gx-layout-sider-dark' : null}`}
    trigger={null}
    collapsed={false}
    theme={themeType === THEME_TYPE_LITE ? "lite" : "dark"}
    collapsible&gt;
    {
      width &lt; TAB_SIZE ?
        &lt;Drawer
                wrapClassName={`gx-drawer-sidebar ${themeType !== THEME_TYPE_LITE ? 'gx-drawer-sidebar-dark' : null}`}
          placement="left"
          closable={false}
          onClose={this.onToggleCollapsedNav.bind(this)}
          visible={navCollapsed}&gt;
          &lt;SidebarContent/&gt;
     &lt;/Drawer&gt; :
        &lt;SidebarContent/&gt;
    }
     &lt;/Sider&gt;)
</code>
</pre>
                    </ol>
                </li>

                <li><strong>src/containers/Sidebar/index.js</strong>
                    <p>Open this file in your code editor and then copy one of the three source code given below for
                        3 different positions of the navigation bar:
                    </p>
                    <p> Note: three dots (...) mentions your written or customized code. So, avoid replacing that
                        content with these three dots given in below source code.
                    </p>
                    <ol type="a">
                        <li><p><strong>For Fixed</strong>, copy below source code</p></li>
                        <pre>
 <code class="html">
let drawerStyle = "";
if (width &lt; TAB_SIZE) {
  drawerStyle = "gx-collapsed-sidebar"
}
return (
  &lt;Sider
          className={`gx-app-sidebar ${drawerStyle} ${themeType !== THEME_TYPE_LITE ? 'gx-layout-sider-dark' : null}`}
    trigger={null}
    collapsed={false}
    theme={themeType === THEME_TYPE_LITE ? "lite" : "dark"}
    collapsible&gt;
    {
      width &lt; TAB_SIZE ?
        &lt;Drawer
                wrapClassName={`gx-drawer-sidebar ${themeType !== THEME_TYPE_LITE ? 'gx-drawer-sidebar-dark' : null}`}
          placement="left"
          closable={false}
          onClose={this.onToggleCollapsedNav.bind(this)}
          visible={navCollapsed}&gt;
          &lt;SidebarContent/&gt;
     &lt;/Drawer&gt; :
        &lt;SidebarContent/&gt;
    }
     &lt;/Sider&gt;)
</code>
</pre>
                    </ol>
                </li>

                <li><strong>src/containers/Topbar/index.js</strong>
                    <p>Open this file in your code editor and then copy</p>
                    <pre>
 <code class="html">
&lt;Auxiliary&gt;
&lt;Header&gt;
    {width &lt; TAB_SIZE ?
    &lt;div className="gx-linebar gx-mr-3"&gt;
        &lt;i className="gx-icon-btn icon icon-menu"
           onClick={() =&gt; {
        this.props.toggleCollapsedSideNav(!navCollapsed);
        }}
        /&gt;
    &lt;/div&gt; : null}
    ...
&lt;/Header&gt;
&lt;/Auxiliary&gt;
</code>
</pre>
                </li>

            </ol>
        </li>-->
        <!--</ol>-->
    </div>
</div>
</section>

                <div class="sidebar-wrapper">

                    <aside class="right-sidebar">

                        <ul class="sidebar-menu">

                            <li><a href="javascript:void(0)" class="collapse-hadle">About Wieldy </a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="javascript:void(0);" data-template="introduction">Introduction</a>

                                    </li>

                                    <li><a href="javascript:void(0);" data-template="product-overview">Product

                                        Overview</a></li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Installation</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#setup-dev-env" data-template="setup-dev-env">Setup Development

                                        Environment</a></li>

                                    <li><a href="#setup-wieldy" data-template="setup-wieldy">Setup Wieldy</a></li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Structure &amp; Layouts</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#folder-file-structure" data-template="folder-file-structure">Folder

                                        and File Structure</a></li>

                                    <li><a href="#layout-structure" data-template="layout-structure">Layout
                                        Structure</a>

                                    </li>

                                </ul>

                            </li>

                            <li class="open"><a href="javascript:void(0)" class="collapse-hadle">Settings &amp; Customization</a>

                                <ul class="sub-menu document-menus" style="display:block">

                                    <li><a href="#change-color-theme" data-template="change-color-theme">Change Color

                                        Theme</a></li>

                                    <li class="active"><a href="#vertical-navigation-style" data-template="vertical-navigation-style">Vertical

                                        Navigation style</a></li>

                                    <li><a href="#horizontal-navigation-style"

                                           data-template="horizontal-navigation-style">Horizontal Navigation style</a>

                                    </li>

                                    <li><a href="#change_layouts"

                                           data-template="change_layouts">Layout style</a>

                                    </li>
                                    <li><a href="#change_themes"

                                           data-template="change_themes">Theme style</a>

                                    </li>

                                </ul>

                            </li>

                            <li>

                                <a href="javascript:void(0)" class="collapse-hadle">Add New Menu</a>

                                <ul class="sub-menu document-menus">

                                    <li>

                                        <a href="#to-horizontal-nav" data-template="to-horizontal-nav">To Horizontal

                                            Nav</a></li>

                                    <li>

                                        <a href="#to-vertical-nav" data-template="to-vertical-nav">To Vertical Nav</a>

                                    </li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Multi Language</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#add-new-language" data-template="add-new-language">Add New

                                        Language</a></li>

                                </ul>

                            </li>

                            
                            <li><a href="javascript:void(0)" class="collapse-hadle">Other Elements</a>

                                <ul class="sub-menu document-menus">

                                    <!-- <li><a href="#widgets" data-template="widgets">Widgets</a></li>-->

                                    <li><a href="#map" data-template="map">Map</a></li>

                                    <li><a href="#chart" data-template="chart">Charts</a></li>

                                    <li><a href="#calendar" data-template="calendar">Calendar</a></li>

                                </ul>

                            </li>

                        </ul>

                    </aside>

                    <a href="javascript:void(0)" class="btn-fixed"> <span class="hamburger-inner"></span> </a></div>

            </div>

        </div>

    </main>    <!--/site main-->    <!--Site footer-->

    <footer class="site-footer">

        <div class="container">

            <div class="row">

                <div class="col-lg-3">

                    <div class="footer-logo footer-widget"><img src="images/logo.png" alt="Footer logo"></div>

                    <p class="copy-right">Copyright © 2018 G-axon</p></div>

                <div class="col-lg-8">

                    <ul class="footer-menu-wrapper">

                        <li>

                            <div class="footer-widget"><h3 class="footer-menu-title">Products</h3>

                                <ul class="footer-menu">

                                    <li><a target="_blank"

                                           href="https://wrapbootstrap.com/theme/mouldifi-html-react-redux-admin-template-WB009538N">Mouldifi</a>

                                    </li>

                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/jumbo-admin-responsive-admin-dashboard-template/21368029?s_rank=1">Jumbo

                                        Admin</a></li>

                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/wieldy-react-redux-admin-template/22277962?s_rank=1">Flexile</a>
                                    </li>
                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/react-material-bootstrap-4-admin-template/20978545?s_rank=2">Jumbo

                                        React</a></li>

                                    <li><a target="_blank"

                                           href="https://codecanyon.net/item/support-chat-php-live-chat-with-desktop-and-mobile-app/15044181?s_rank=2">Chatbull</a>

                                    </li>
                                </ul>
                            </div>
                        </li>

                        <li>

                            <div class="footer-widget"><h3 class="footer-menu-title">Support</h3>

                                <ul class="footer-menu">

                                    <!-- <li>                                         <a href="javascript:void(0)">Community</a>                                     </li>-->

                                    <li>

                                        <a target="_blank"
                                           href="https://themeforest.net/item/wieldy-react-redux-admin-template/22277962/support">
                                            Submit a Ticket</a></li>

                                    <!--<li>                                        <a href="javascript:void(0)">Live Chat</a>                                    </li>-->

                                </ul>

                            </div>

                        </li>

                    </ul>

                </div>

            </div>

        </div>

    </footer>    <!--/site foter--></div><!--/site--><!--Load JQuery-->

<script src="js/jquery.min.js"></script>

<script src="js/bootstrap.bundle.min.js"></script>

<script src="js/plugin/highlight/highlight.pack.js"></script>

<script src="js/functions.js"></script>

</body>

</html>